İçeriğe geç

Omnilottie

Entegre et

Model kimliği omnilottie
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/omnilottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,05 50 API kredisi Bu sayfada çalıştır

API anahtarı al
Open model Diğer #lottie

Bir metin açıklamasından Lottie animasyon JSON dosyası oluşturur

Open model · Dosya

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 88 / 2000

İstenen Lottie animasyonunu açıklayan metin.

Gelişmiş max_tokens · temperature · top_p · top_k
varsayılan 4096

Üretilen Lottie token'larının üst sınırı.

varsayılan 0.9

Üretim sırasında örnekleme için kullanılan temperature.

varsayılan 0.25

Çekirdek örnekleme için olasılık eşiği.

varsayılan 5

Top-k örnekleme ayarı.

POST /run/omnilottie?wait=20 fiyat → $0,05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/omnilottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Omnilottie hakkında

En fazla 2,000 karakterlik bir metin `prompt`undan Lottie animasyonu oluşturur ve bunu JSON dosyası olarak döndürür. Oluşturma `max_tokens` (256 ila 8192), `temperature`, `top_p` ve `top_k` ile denetlenir. Görüntü veya video girdisi almaz.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
≤ 2.000 karakter
İstenen Lottie animasyonunu açıklayan metin.
max_tokensisteğe bağlı
Türinteger
Varsayılan4096
256 – 8.192
Üretilen Lottie token'larının üst sınırı.
temperatureisteğe bağlı
Türnumber
Varsayılan0.9
0 – 2
Üretim sırasında örnekleme için kullanılan temperature.
top_pisteğe bağlı
Türnumber
Varsayılan0.25
0 – 1
Çekirdek örnekleme için olasılık eşiği.
top_kisteğe bağlı
Türinteger
Varsayılan5
1 – 100
Top-k örnekleme ayarı.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "omnilottie",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "lottie_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
lottie_file
object {url, content_type, file_name, file_size}Üretilen Lottie animasyonunu içeren JSON dosyası.

Daha fazla model: Diğer

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/omnilottie.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt